# Class FormArrayAddItemButtonDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:23

#####
Index

### Constructors

constructor

### Properties

_controlDisabledSubscription?
formArray
matButton
parent
type

### Accessors

disabled
isDisabled

### Methods

ngAfterViewInit
ngOnDestroy
onClick

## Constructors

### constructor

- new FormArrayAddItemButtonDirective(parent, matButton): FormArrayAddItemButtonDirective

- #### Parameters

  - parent: ControlContainer
  - matButton: MatButton

  #### Returns FormArrayAddItemButtonDirective

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:30

## Properties

### `Private` `Optional` _controlDisabledSubscription

_controlDisabledSubscription?: Subscription

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:28

### `Protected` formArray

formArray: RxapFormArray<any, any, any>

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:27

### `Protected` `Readonly` matButton

matButton: MatButton

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:32

### `Protected` `Readonly` parent

parent: ControlContainer

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:31

### type

type: string = 'button'

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:26

## Accessors

### disabled

- get disabled(): boolean

- #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:37

### `Protected` isDisabled

- get isDisabled(): boolean

- #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:41

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:45

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:56

### `Protected` onClick

- onClick(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:61